> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Ottieni risultato del checkout

> Restituisce un payload leggero del risultato del checkout per le pagine di successo o annullamento del sito web.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/billing/checkout/result
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/checkout/result:
    get:
      tags:
        - public-accounts
      summary: Ottieni risultato del checkout
      description: >-
        Restituisce un payload leggero del risultato del checkout per le pagine
        di successo o annullamento del sito web.
      operationId: >-
        get_checkout_result_v1_public_accounts__account_id__billing_checkout_result_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: plan_key
          required: true
          schema:
            title: Plan Key
            type: string
        - in: query
          name: checkout_token
          required: true
          schema:
            title: Checkout Token
            type: string
        - in: query
          name: hosted_page_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Hosted Page Id
        - in: query
          name: status_hint
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status Hint
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutResultResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    CheckoutResultResponse:
      properties:
        account:
          $ref: '#/components/schemas/AccountSummaryResponse'
          description: Riepilogo dell'account di pagamento
        auth_required_for_dashboard:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Se l'accesso al dashboard richiede l'autenticazione
          title: Autenticazione richiesta per la dashboard
        checkout_token:
          description: Token di continuazione del pagamento
          title: Token checkout
          type: string
        dashboard_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL del dashboard per l'account
          title: URL dashboard
        message:
          description: Messaggio sull'esito del pagamento
          title: Messaggio
          type: string
        plan_key:
          description: Chiave del piano di fatturazione selezionata
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: Chiave piano
          type: string
        status:
          description: Stato del risultato del pagamento
          title: Stato
          type: string
      required:
        - plan_key
        - status
        - message
        - account
        - checkout_token
      title: CheckoutResultResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    AccountSummaryResponse:
      description: Riepilogo account sicuro restituito al sito web.
      properties:
        account_id:
          description: UUID dell’account
          title: Id account
          type: string
        chargebee_subscription_status:
          anyOf:
            - type: string
            - type: 'null'
          description: Stato dell'abbonamento Chargebee
          title: Stato abbonamento Chargebee
        currency:
          description: Codice valuta di fatturazione
          title: Valuta
          type: string
      required:
        - account_id
        - currency
      title: AccountSummaryResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````